<?php

namespace PhpOffice\PhpPresentation\Writer;

use PhpOffice\PhpPresentation\PhpPresentation;

class ProseMirror extends AbstractWriter implements WriterInterface
{
    public function __construct(PhpPresentation $pPhpPresentation = null)
    {
        $this->setPhpPresentation($pPhpPresentation);
    }

    public function save($filename = '')
    {
        $doc = new ProseMirror\Doc($this->oPresentation);
        $doc->setData($this->oPresentation);

        $json = new \stdClass();

        $content = new \stdClass();
        $content->version = 0;
        $content->data = $doc;

        $comment = new \stdClass();
        $comment->data = $doc->getComments();
        $comment->format = 1204;
        $comment->version = 0;

        $json->content = $content;
        $json->comment = $comment;

        $handle = fopen($filename, 'w');
        fwrite($handle, json_encode($json));
        fclose($handle);
    }
}


?>
