<?php
namespace PhpOffice\PhpWord\Element;

class Graph extends Inline
{
    private static $count = 1;

    private $id;
    private $config;

    public function __construct($config)
    {
        $this->id = self::getValidGraphicId();
        $this->setConfig($config);
    }

    public function getId()
    {
        return $this->id;
    }

    public function getConfig()
    {
        return $this->config;
    }

    public function setConfig($config)
    {
        $this->config = $config;
    }

    /*
     * This function will be used by graph and image
     * */
    public static function getValidGraphicId()
    {
        return self::$count++;
    }
}
